package com.bonus.canteen.core.device.manage.model.metadata;

import java.io.Serializable;

public class SelfServiceMetadate extends BaseMetadate implements Serializable {
   private String showNoBalance;
   private String showNoPersonBalance;
   private String showNoSubBalance;
   private String showNoRedBalance;
   private String showNoFreezeBalance;
   private String showNoNutrition;
   private String showMonthSales;
   private String showFavorableRate;
   private String showDishEvaluation;
   private String voiceRemindSuccess;
   private String voiceRemindFail;
   private String identityCard;
   private String identityQR;
   private String identityAlipayNoAllow;
   private String identityUnionpayNoAllow;
   private String identityAbcpayNoAllow;
   private String identityICBCNoAllow;
   private String identityFace;
   private String printType;
   private String printIsor;
   private String printCount;
   private String faceRecognitionScore;
   private String abchDeviceKey;

   public String getShowNoBalance() {
      return this.showNoBalance;
   }

   public String getShowNoPersonBalance() {
      return this.showNoPersonBalance;
   }

   public String getShowNoSubBalance() {
      return this.showNoSubBalance;
   }

   public String getShowNoRedBalance() {
      return this.showNoRedBalance;
   }

   public String getShowNoFreezeBalance() {
      return this.showNoFreezeBalance;
   }

   public String getShowNoNutrition() {
      return this.showNoNutrition;
   }

   public String getShowMonthSales() {
      return this.showMonthSales;
   }

   public String getShowFavorableRate() {
      return this.showFavorableRate;
   }

   public String getShowDishEvaluation() {
      return this.showDishEvaluation;
   }

   public String getVoiceRemindSuccess() {
      return this.voiceRemindSuccess;
   }

   public String getVoiceRemindFail() {
      return this.voiceRemindFail;
   }

   public String getIdentityCard() {
      return this.identityCard;
   }

   public String getIdentityQR() {
      return this.identityQR;
   }

   public String getIdentityAlipayNoAllow() {
      return this.identityAlipayNoAllow;
   }

   public String getIdentityUnionpayNoAllow() {
      return this.identityUnionpayNoAllow;
   }

   public String getIdentityAbcpayNoAllow() {
      return this.identityAbcpayNoAllow;
   }

   public String getIdentityICBCNoAllow() {
      return this.identityICBCNoAllow;
   }

   public String getIdentityFace() {
      return this.identityFace;
   }

   public String getPrintType() {
      return this.printType;
   }

   public String getPrintIsor() {
      return this.printIsor;
   }

   public String getPrintCount() {
      return this.printCount;
   }

   public String getFaceRecognitionScore() {
      return this.faceRecognitionScore;
   }

   public String getAbchDeviceKey() {
      return this.abchDeviceKey;
   }

   public void setShowNoBalance(final String showNoBalance) {
      this.showNoBalance = showNoBalance;
   }

   public void setShowNoPersonBalance(final String showNoPersonBalance) {
      this.showNoPersonBalance = showNoPersonBalance;
   }

   public void setShowNoSubBalance(final String showNoSubBalance) {
      this.showNoSubBalance = showNoSubBalance;
   }

   public void setShowNoRedBalance(final String showNoRedBalance) {
      this.showNoRedBalance = showNoRedBalance;
   }

   public void setShowNoFreezeBalance(final String showNoFreezeBalance) {
      this.showNoFreezeBalance = showNoFreezeBalance;
   }

   public void setShowNoNutrition(final String showNoNutrition) {
      this.showNoNutrition = showNoNutrition;
   }

   public void setShowMonthSales(final String showMonthSales) {
      this.showMonthSales = showMonthSales;
   }

   public void setShowFavorableRate(final String showFavorableRate) {
      this.showFavorableRate = showFavorableRate;
   }

   public void setShowDishEvaluation(final String showDishEvaluation) {
      this.showDishEvaluation = showDishEvaluation;
   }

   public void setVoiceRemindSuccess(final String voiceRemindSuccess) {
      this.voiceRemindSuccess = voiceRemindSuccess;
   }

   public void setVoiceRemindFail(final String voiceRemindFail) {
      this.voiceRemindFail = voiceRemindFail;
   }

   public void setIdentityCard(final String identityCard) {
      this.identityCard = identityCard;
   }

   public void setIdentityQR(final String identityQR) {
      this.identityQR = identityQR;
   }

   public void setIdentityAlipayNoAllow(final String identityAlipayNoAllow) {
      this.identityAlipayNoAllow = identityAlipayNoAllow;
   }

   public void setIdentityUnionpayNoAllow(final String identityUnionpayNoAllow) {
      this.identityUnionpayNoAllow = identityUnionpayNoAllow;
   }

   public void setIdentityAbcpayNoAllow(final String identityAbcpayNoAllow) {
      this.identityAbcpayNoAllow = identityAbcpayNoAllow;
   }

   public void setIdentityICBCNoAllow(final String identityICBCNoAllow) {
      this.identityICBCNoAllow = identityICBCNoAllow;
   }

   public void setIdentityFace(final String identityFace) {
      this.identityFace = identityFace;
   }

   public void setPrintType(final String printType) {
      this.printType = printType;
   }

   public void setPrintIsor(final String printIsor) {
      this.printIsor = printIsor;
   }

   public void setPrintCount(final String printCount) {
      this.printCount = printCount;
   }

   public void setFaceRecognitionScore(final String faceRecognitionScore) {
      this.faceRecognitionScore = faceRecognitionScore;
   }

   public void setAbchDeviceKey(final String abchDeviceKey) {
      this.abchDeviceKey = abchDeviceKey;
   }

}
